function BTM.PlaceIcon(x, y, z, icon)
    return OSI.CreatePositionIcon(x, y, z, icon, 96, { 1, 1, 1 }, 0.25)
end

function BTM.PlaceMTIcon(x, y, z)
    MARKERS.MT = BTM.PlaceIcon(x, y, z, "BanyusTrialMarkers/icons/mt.dds")
end

function BTM.PlaceOTIcon(x, y, z)
    MARKERS.OT = BTM.PlaceIcon(x, y, z, "BanyusTrialMarkers/icons/ot.dds")
end

function BTM.PlaceGHIcon(x, y, z)
    MARKERS.GH = BTM.PlaceIcon(x, y, z, "BanyusTrialMarkers/icons/gh.dds")
end

function BTM.PlaceKHIcon(x, y, z)
    MARKERS.KH = BTM.PlaceIcon(x, y, z, "BanyusTrialMarkers/icons/kh.dds")
end

function BTM.PlaceDPSIcon(x, y, z)
    MARKERS.KH = BTM.PlaceIcon(x, y, z, "BanyusTrialMarkers/icons/dps.dds")
end

function BTM.PlaceFireIcon(x, y, z)
    MARKERS.MT = BTM.PlaceIcon(x, y, z, "BanyusTrialMarkers/icons/fire.dds")
end

function BTM.PlaceIceIcon(x, y, z)
    MARKERS.MT = BTM.PlaceIcon(x, y, z, "BanyusTrialMarkers/icons/ice.dds")
end

function BTM.PlaceBossIcon(x, y, z)
    MARKERS.MT = BTM.PlaceIcon(x, y, z, "BanyusTrialMarkers/icons/boss.dds")
end

function BTM.Place1Icon(x, y, z)
    MARKERS.MT = BTM.PlaceIcon(x, y, z, "BanyusTrialMarkers/icons/1.dds")
end

function BTM.Place2Icon(x, y, z)
    MARKERS.MT = BTM.PlaceIcon(x, y, z, "BanyusTrialMarkers/icons/2.dds")
end

function BTM.Place3Icon(x, y, z)
    MARKERS.MT = BTM.PlaceIcon(x, y, z, "BanyusTrialMarkers/icons/3.dds")
end

function BTM.Place4Icon(x, y, z)
    MARKERS.MT = BTM.PlaceIcon(x, y, z, "BanyusTrialMarkers/icons/4.dds")
end

function BTM.Place5Icon(x, y, z)
    MARKERS.MT = BTM.PlaceIcon(x, y, z, "BanyusTrialMarkers/icons/5.dds")
end

function BTM.Place6Icon(x, y, z)
    MARKERS.MT = BTM.PlaceIcon(x, y, z, "BanyusTrialMarkers/icons/6.dds")
end

function BTM.Place7Icon(x, y, z)
    MARKERS.MT = BTM.PlaceIcon(x, y, z, "BanyusTrialMarkers/icons/7.dds")
end

function BTM.Place8Icon(x, y, z)
    MARKERS.MT = BTM.PlaceIcon(x, y, z, "BanyusTrialMarkers/icons/8.dds")
end

function BTM.ClearMarkers()
    if MARKERS.MT ~= nil then
        OSI.DiscardPositionIcon(MARKERS.MT)
    end
    if MARKERS.OT ~= nil then
        OSI.DiscardPositionIcon(MARKERS.OT)
    end
    if MARKERS.GH ~= nil then
        OSI.DiscardPositionIcon(MARKERS.GH)
    end
    if MARKERS.KH ~= nil then
        OSI.DiscardPositionIcon(MARKERS.KH)
    end
    if MARKERS.FIRE ~= nil then
        OSI.DiscardPositionIcon(MARKERS.KH)
    end
    if MARKERS.ICE ~= nil then
        OSI.DiscardPositionIcon(MARKERS.KH)
    end
    if MARKERS.BOSS ~= nil then
        OSI.DiscardPositionIcon(MARKERS.KH)
    end
    MARKERS.MT = nil
    MARKERS.OT = nil
    MARKERS.GH = nil
    MARKERS.KH = nil
    MARKERS.FIRE = nil
    MARKERS.ICE = nil
    MARKERS.BOSS = nil
end

function BTM.ChatWriter(string)
    CHAT_SYSTEM:AddMessage("Banyu's Trial Markers: " .. string)
end

function BTM.GetCoordinateDifferential(a, b, positionNumber)
    DIFFERENCE = (a - b) / 5
    POSITIONAL_DIFFERENCE = positionNumber * DIFFERENCE
    return a - POSITIONAL_DIFFERENCE
end